/*
 
Empresa desarrolladora: Junta de Andalucía

Autor: Junta de Andalucía Derechos de explotación propiedad de la Junta de Andalucía.

Éste programa es software libre: usted tiene derecho a redistribuirlo y/o modificarlo bajo los términos de la Licencia EUPL European Public License publicada por el organismo IDABC de la Comisión Europea, en su versión 1.0. o posteriores.

Éste programa se distribuye de buena fe, pero SIN NINGUNA GARANTÍA, incluso sin las presuntas garantías implícitas de USABILIDAD o ADECUACIÓN A PROPÓSITO CONCRETO. Para mas información consulte la Licencia EUPL European Public License.

Usted recibe una copia de la Licencia EUPL European Public License junto con este programa, si por algún motivo no le es posible visualizarla, puede consultarla en la siguiente URL: http://ec.europa.eu/idabc/servlets/Doc?id=31099

You should have received a copy of the EUPL European Public License along with this program. If not, see
http://ec.europa.eu/idabc/servlets/Doc?id=31096

Vous devez avoir reçu une copie de la EUPL European Public License avec ce programme. Si non, voir http://ec.europa.eu/idabc/servlets/Doc?id=30194

Sie sollten eine Kopie der EUPL European Public License zusammen mit diesem Programm. Wenn nicht, finden Sie da http://ec.europa.eu/idabc/servlets/Doc?id=29919

*/
package es.juntadeandalucia.vista;

import java.io.Serializable;
import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import es.juntadeandalucia.entidades.Libro;
import es.juntadeandalucia.servicios.ServicioInventarioBiblioteca;

@Component("crearLibro")
@Scope("request")
public class CrearLibro implements Serializable{
 
	private ServicioInventarioBiblioteca servicioLibros;
	
	private Libro libro = new Libro();
	
	private final static ResourceBundle mensajes = ResourceBundle.getBundle("mensajes");
	
	@Autowired
	public CrearLibro(ServicioInventarioBiblioteca servicioLibros) {
		this.servicioLibros = servicioLibros;
	}

	public Libro getLibro() {
		return libro;
	}
	public void setLibro(Libro libro) {
		this.libro = libro;
	}
	
	public String save() {
		servicioLibros.createNew(libro);
		FacesMessage facesMessage = new FacesMessage(FacesMessage.SEVERITY_INFO, mensajes.getString("nuevoLibroAñadido"), mensajes.getString("OK"));
		FacesContext.getCurrentInstance().addMessage(null, facesMessage);
		libro = new Libro();
		
		return null;
	}
}

